Loading...
Searching...
No Matches
Boundary_matrix.h File Reference

Contains the Gudhi::persistence_matrix::Boundary_matrix class. More...

Go to the source code of this file.

## Classes

class | Gudhi::persistence_matrix::Boundary_matrix< Master_matrix >
| Matrix structure to store the ordered boundary matrix \( R \) of a filtered complex in order to compute its persistent homology. Provides an access to its columns and rows as well as the possibility to remove the last cells of the filtration while maintaining a valid barcode. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::Boundary_matrix class.

Author
  Hannah Schreiber